Bug 49859 - Elm update uses metamail
Summary: Elm update uses metamail
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: elm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-24 17:09 UTC by Alan Cox
Modified: 2007-03-27 03:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-15 19:31:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2001-07-24 17:09:55 UTC
The elm errata package was for some reason built using metamail hacks.
Unfortunately the hacks themselves are buggy

(trivial demo - read a mime email, while reading it hit ^C. Now the arrow
keys dont work to move up/down mails)

Secondly metamail is how shall I put it "not exactly the most secure code
on the planet"

Several of the metamail scripts are insecure, and the showexternal one
appears to be quite useful for third party mailbombing setups

I wont ask why we include stuff like showaudio which requires you ghave a
bell labs telephone !

Comment 1 Trond Eivind Glomsrxd 2001-07-25 22:31:05 UTC
These sounds like bugs in metamail, not in elm - reassigning.

Comment 2 Alan Cox 2001-07-25 22:54:11 UTC
Reassigning back to ELM. The basic problem is the metamail hacks got put into
ELM. I will open a new bug with a copy of the metamail specific errors. Either
way the metamail patch is broken - it breaks arrow keys, redraw on bounce,
viewing headers on spam and a few other things



Comment 3 Alan Cox 2001-07-26 16:45:54 UTC
Reassigning back to elm again.
The base problem is the broken patch someone merged into elm



Comment 4 Trond Eivind Glomsrxd 2001-08-23 16:36:57 UTC
Is this OK in elm 2.5.6?


Comment 5 Alan Cox 2001-08-23 17:51:08 UTC
Providing you built the package from the spec file which didnt include metamail
then should be. Im running the 2.5.6 built without that change and its behaving
fine and not using messamail at all


Comment 6 jrjohns 2001-09-18 17:41:06 UTC
If metamail is going to be left on by default, then there should be clear
comments in the spec file on how to disable it.  I tried commenting out the
Requires field, and I tried changing "d_mime" in the configuration patch to
"undef".  Neither solution fixed the problem, I guess I'm just dumb - I ended up
performing an 'rpm -e metamail' to force ELM back to the desired behavior.

Metamail is broken in other ways not even listed above.  For example:  View any
message of sufficient length with metamail enabled, and the headers to the
message scroll off of the window.  Even if the user types 'h' specifically to
display all headers, the headers roll away because they aren't counted along
with the message content.  This behavior is inconsistent with ELM's behavior
when metamail is not enabled.


Comment 7 Henri Schlereth 2002-03-15 19:31:36 UTC
Additionally this also seems to affect the 7.0 update version of elm. BTW once
you remove metamail
then trying to send an attachment crashes elm with a segmentation violation.

Comment 8 Trond Eivind Glomsrxd 2002-07-24 23:02:39 UTC
elm is now deprecated.


Note You need to log in before you can comment on or make changes to this bug.